<title>Ad Report</title>

<style type="text/css">
	body {
		padding: 20px;
	}

	table {
		border-collapse: collapse;
		width: 100%;
		border: 1px solid black;
	}

	th, td {
		text-align: left;
		padding: 10px;
	}

	th {
		background-color: #333;
		color: white;
	}

	tr:nth-child(even) {
		background-color: #f2f2f2;
	}

</style>

<h2>Total clicks and views</h2>
<table>
  <thead>
    <tr>
      <th>Ad</th>
      <th>Advertiser</th>
      <th>Clicks</th>
      <th>Views</th>
      <th>Click Rate</th>
    </tr>
  </thead>
  <tbody>
    {% for ad in total %}
    <tr>
      <td>{{ ad.title }}</td>
      <td>{{ ad.advertiser }}</td>
      <td>{{ ad.click_count }}</td>
      <td>{{ ad.view_count }}</td>
      <td>{{ ad.click_rate }}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>

<h2>Hourly clicks and views</h2>
<table>
  <thead>
    <tr>
      <th>Ad</th>
      <th>Hour</th>
      <th>Clicks</th>
      <th>Views</th>
      <th>Click Rate</th>
    </tr>
  </thead>
  <tbody>
    {% for ad in hourly %}
    <tr>
      <td>{{ ad.title }}</td>
      <td>{{ ad.hour }}</td>
      <td>{{ ad.click_count }}</td>
      <td>{{ ad.view_count }}</td>
      <td>{{ ad.click_rate }}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>

<h2>Average Time Difference</h2>
<table>
  <thead>
    <tr>
      <th>Ad</th>
      <th>Average Time Difference</th>
    </tr>
  </thead>
  <tbody>
    {% for diff in diffs %}
    <tr>
      <td>{{ diff.title }}</td>
      <td>{{ diff.avg_time }}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>
